apply plugin: 'com.android.library'

android {
    compileSdkVersion 30
    buildToolsVersion "30.0.3"

    defaultConfig {
        minSdkVersion 14
        targetSdkVersion 30
        versionCode 240
        versionName "2.4.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
}

task makeAAR(type: Copy) {
    from('build/outputs/aar/')
    into('build/aarFloder/')
    include('FastBleLib-release.aar')
    rename ('FastBleLib-release.aar', 'FastBLE-2.4.0.aar' )
}
makeAAR.dependsOn(build)
